Name: libX11
Version: 1.7.0
Release: 3
License: X11
Summary: X.Org X11 library
URL: http://www.x.org

Source0: http://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: libxslt

BuildRequires: xorg-x11-proto-devel
BuildRequires: xorg-x11-xtrans-devel
BuildRequires: xorg-x11-util-macros
BuildRequires: libpthread-stubs-devel
BuildRequires: libxcb-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel

%description
Core X11 protocol client library.

%package -n libX11-6
Summary: libX11 shared library
Requires: libX11-data = %{version}-%{release}
Conflicts: libX11
Obsoletes: libX11

%description -n libX11-6
libX11 shared library

%package -n libX11-xcb1
Summary: libX11-xcb shared library
Requires: libX11-data = %{version}-%{release}
Conflicts: libX11
Obsoletes: libX11

%description -n %{name}-xcb1
%{name}-xcb1 shared library

%package devel
Summary: X.Org X11 library
Requires: %{name}-6 = %{version}-%{release}
Requires: %{name}-xcb1 = %{version}-%{release}
Requires: libXau-devel >= 1.0.3
Requires: libXdmcp-devel >= 1.0.2
Requires: xorg-x11-proto-devel

%description devel
X.Org X11 library.

%package data
Summary: Shared data for the Core X11 protocol library
BuildArch: noarch

%description data
Shared data for the Core X11 protocol library

%prep
%setup -q

%build

autoreconf -fiv
%configure \
    LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
    --with-aix-soname=svr4 \
    --enable-shared \
    --disable-static \
    --disable-selective-werror \
    --disable-silent-rules \
    #end

%make_build

%check
make check

%install

%make_install

%files data
%defattr(-, qsys, *none)
%license COPYING
%doc AUTHORS ChangeLog NEWS README.md

%{_datadir}/X11/XErrorDB
%{_datadir}/X11/locale/*

%files -n %{name}-6
%defattr(-, qsys, *none)
%{_libdir}/libX11.so.6

%files -n %{name}-xcb1
%defattr(-, qsys, *none)
%{_libdir}/libX11-xcb.so.1


%files devel
%defattr(-, qsys, *none)
%{_datadir}/X11/Xcms.txt
%{_libdir}/libX11*.so

%{_includedir}/X11/*.h
%{_includedir}/X11/extensions/*.h

%{_libdir}/pkgconfig/*.pc

%{_datadir}/doc/libX11/*

%{_mandir}/man*/*


%changelog
* Tue Mar 30 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.2.3
- Obsolete and Conflict old package name provided by qsecofr repo
- Move data files to libX11-data sub-package and remove libX11 sub-package

* Thu Mar 11 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.7.0
- Add missing header file requirements from xorg-x11-proto-devel

* Tue Nov 24 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.7.0
- Update to 1.7.0

* Tue Nov 17 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.6.12
- Use brp-rm-libtool-control-files

* Wed Nov 11 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.6.12
- Update to 1.6.12

* Thu Jul 30 2020 <abdirahim.musse@ibm.com> - 1.6.9
- Initial spec
